diff --git a/cpu/arm946es/start.S b/cpu/arm946es/start.S
--- a/cpu/arm946es/start.S
+++ b/cpu/arm946es/start.S
@@ -133,7 +133,7 @@ reset:
 	 * we do sys-critical inits only at reboot,
 	 * not when booting from ram!
 	 */
-#ifdef CONFIG_INIT_CRITICAL
+#ifndef CONFIG_SKIP_LOWLEVEL_INIT
 	bl	cpu_init_crit
 #endif
 
diff --git a/cpu/arm_intcm/start.S b/cpu/arm_intcm/start.S
--- a/cpu/arm_intcm/start.S
+++ b/cpu/arm_intcm/start.S
@@ -131,7 +131,7 @@ reset:
 	 * we do sys-critical inits only at reboot,
 	 * not when booting from ram!
 	 */
-#ifdef CONFIG_INIT_CRITICAL
+#ifndef CONFIG_SKIP_LOWLEVEL_INIT
 	bl	cpu_init_crit
 #endif
 
diff --git a/doc/README-integrator b/doc/README-integrator
--- a/doc/README-integrator
+++ b/doc/README-integrator
@@ -37,7 +37,7 @@ Configuring U-Boot :
 ------------------
 	The makefile contains targets for Integrator platforms of both types
 fitted with all current variants of CM. If these targets are to be used with
-boot process c) above then CONFIG_INIT_CRITICAL may need to be defined to ensure
+boot process c) above then CONFIG_SKIP_LOWLEVEL_INIT may not be defined to ensure
 that the CM is correctly configured.
 
 	There are also targets independent of CM. These may not be suitable for
diff --git a/include/configs/armadillo.h b/include/configs/armadillo.h
--- a/include/configs/armadillo.h
+++ b/include/configs/armadillo.h
@@ -34,7 +34,7 @@
  * If we are developing, we might want to start armboot from ram
  * so we MUST NOT initialize critical regs like mem-timing ...
  */
-/*#define	CONFIG_INIT_CRITICAL*/		/* undef for developing */
+#undef	CONFIG_SKIP_LOWLEVEL_INIT
 
 /*
  * High Level Configuration Options
diff --git a/include/configs/gcplus.h b/include/configs/gcplus.h
--- a/include/configs/gcplus.h
+++ b/include/configs/gcplus.h
@@ -38,9 +38,9 @@
  * e.g. bootp/tftp download of the kernel is a far more convenient
  * when testing new kernels on this target. However the ADS GCPlus Linux
  * boot ROM leaves the MMU enabled when it passes control to U-Boot. So
- * we use lowlevel_init (CONFIG_INIT_CRITICAL) to remedy that problem.
+ * we use lowlevel_init to remedy that problem.
  */
-#undef  CONFIG_SKIP_LOWLEVEL_INIT
+#undef  CONFIG_SKIP_LOWLEVEL_INIT	/* Skip lowlevel_init */
 #define CONFIG_SKIP_RELOCATE_UBOOT	1
 
 /*
diff --git a/include/configs/integratorap.h b/include/configs/integratorap.h
--- a/include/configs/integratorap.h
+++ b/include/configs/integratorap.h
@@ -44,7 +44,7 @@
 #define CONFIG_SETUP_MEMORY_TAGS	1
 #define CONFIG_MISC_INIT_R	1	/* call misc_init_r during start up */
 
-#undef CONFIG_INIT_CRITICAL
+#undef CONFIG_SKIP_LOWLEVEL_INIT	/* Skip lowlevel initialisations */
 #define CONFIG_SKIP_RELOCATE_UBOOT	1
 
 /*
diff --git a/include/configs/pxa255_idp.h b/include/configs/pxa255_idp.h
--- a/include/configs/pxa255_idp.h
+++ b/include/configs/pxa255_idp.h
@@ -41,7 +41,7 @@
  * If we are developing, we might want to start armboot from ram
  * so we MUST NOT initialize critical regs like mem-timing ...
  */
-#define CONFIG_INIT_CRITICAL			/* undef for developing */
+#undef CONFIG_SKIP_LOWLEVEL_INIT
 
 /*
  * define the following to enable debug blinks.  A debug blink function
